package com.jwl.driver.server.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 权限配置类
 */
@ConfigurationProperties(prefix = AuthConfig.PREFIX)
@Component
@Data
public class AuthConfig {


    public static final String PREFIX = "driver.auth-config";

    /**
     * 约定为若 preAuth 为 true，则所有请求（除不需权限校验url集合noAuthEndPoints外）都需要身份认证
     *                  为 false，则所有请求（除需要权限校验url集合needAuthEndPoints外）都不需要身份认证
     */
    private Boolean preAuth;

    /**
     * 不需权限校验 url 集合
     */
    private String[] noAuthEndPoints;

    /**
     * 必须验证的权限 url 集合
     */
    private String[] needAuthEndPoints;

}
