package com.jwl.driver.server.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;

/**
 * @author 曹林
 * @description 登陆入参
 * @create 2023/8/11 22:21
 */
@Data
@Accessors(chain = true)
public class LoginUserDto {

    @ApiModelProperty("登陆手机号")
    @NotBlank(message = "登陆手机号不能为空")
    private String phone;

    @ApiModelProperty("登陆验证码")
    @NotBlank(message = "登陆验证码不能为空")
    private String code;
}
