package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 支付回调日志表
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PayNoticeLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "NOTICE_ID", type = IdType.AUTO)
    private Long noticeId;

    /**
     * 回调内容json
     */
    @TableField("CONTENR")
    private String contenr;

    /**
     * 回调类型
     */
    @TableField("TYPE")
    private String type;

    /**
     * 本平台支付单号
     */
    @TableField("PAY_PREPAY_ID")
    private Long payPrepayId;

    /**
     * 第三方支付平台回调编号
     */
    @TableField("NOTICE_NO")
    private String noticeNo;

    /**
     * 第三方支付平台回调状态
     */
    @TableField("NOTICE_STATUS")
    private String noticeStatus;

    /**
     * 备注
     */
    @TableField("REMARKS")
    private String remarks;

    /**
     * 0:正常,1:已删除
     */
    @TableField("DELETE_STATUS")
    private Integer deleteStatus;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 最近的更新时间
     */
    @TableField("UPDATE_TIME")
    private LocalDateTime updateTime;


}
