package com.jwl.driver.server.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 预支付表
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PayPrepay implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 本平台预支付单号
     */
    @TableId("PAY_PREPAY_ID")
    private Long payPrepayId;

    /**
     * 支付流水号
     */
    @TableField("PAY_ID")
    private Long payId;

    /**
     * 支付金额，单位元
     */
    @TableField("MONEY")
    private BigDecimal money;

    /**
     * 备注说明
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 支付类型(weCharPay,aLiPay)
     */
    @TableField("PAYMENT_TYPE")
    private String paymentType;

    /**
     * 具体的支付方式，例如微信的JSAPI,h5
     */
    @TableField("PAY_TYPE")
    private String payType;

    /**
     * 支付状态： 1:未支付 2：支付成功 3：支付失败
     */
    @TableField("PAY_STATUS")
    private Integer payStatus;

    /**
     * 预支付ID
     */
    @TableField("PREPAT_ID")
    private String prepatId;

    /**
     * 微信openid
     */
    @TableField("OPEN_ID")
    private String openId;

    /**
     * 第三方支付平台配置信息；例如微信支付的appid,apiV3Key等
     */
    @TableField("THIRD_CONFIG_JSON")
    private String thirdConfigJson;

    /**
     * 本支付平台接收回调的https url
     */
    @TableField("NOTIFY_URL")
    private String notifyUrl;

    /**
     * 接收回调的微服务名称
     */
    @TableField("NOTIFY_MICRO_SERVICE_NAME")
    private String notifyMicroServiceName;

    /**
     * 微服务接收回调的具体url
     */
    @TableField("NOTIFY_MICRO_SERVICE_URL")
    private String notifyMicroServiceUrl;

    /**
     * 0:正常,1:已删除
     */
    @TableField("DELETE_STATUS")
    private Integer deleteStatus;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 最近的更新时间
     */
    @TableField("UPDATE_TIME")
    private LocalDateTime updateTime;

    /**
     * 系统名称
     */
    @TableField("SERVER_NAME")
    private String serverName;


}
