package com.jwl.driver.server.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 支付结果表
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PayPrepayResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 本平台支付单号
     */
    @TableId("PAY_PREPAY_ID")
    private Long payPrepayId;

    /**
     * 第三方支付单号
     */
    @TableField("THIRD_PAY_ID")
    private String thirdPayId;

    /**
     * 业务系统订单支付流水号
     */
    @TableField("PAY_ID")
    private Long payId;

    /**
     * 支付金额，单位元
     */
    @TableField("MONEY")
    private BigDecimal money;

    /**
     * 已退款金额，单位元
     */
    @TableField("REFUND_MONEY")
    private BigDecimal refundMoney;

    /**
     * 备注说明
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 支付完成时间
     */
    @TableField("PAY_TIME")
    private LocalDateTime payTime;

    /**
     * 银行类型，采用字符串类型的银行标识。银行标识请参考《银行类型对照表》
     */
    @TableField("BANK_TYPE")
    private String bankType;

    /**
     * 交易类型(weCharPay,aLiPay)
     */
    @TableField("PAYMENT_TYPE")
    private String paymentType;

    /**
     * 具体的支付方式，例如微信的JSAPI,h5
     */
    @TableField("PAY_TYPE")
    private String payType;

    /**
     * 支付状态： 1:未支付 2：支付成功 3：支付失败
     */
    @TableField("PAY_STATUS")
    private Integer payStatus;

    /**
     * 微信openid
     */
    @TableField("OPEN_ID")
    private String openId;

    /**
     * 0:正常,1:已删除
     */
    @TableField("DELETE_STATUS")
    private Integer deleteStatus;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 最近的更新时间
     */
    @TableField("UPDATE_TIME")
    private LocalDateTime updateTime;

    /**
     * 第三方支付平台支付状态
     */
    @TableField("THIRD_PAY_STATUS")
    private String thirdPayStatus;


}
