package com.jwl.driver.server.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 退款结果表
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PayRefundResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 本平台支付退款单号
     */
    @TableId("PAY_REFUND_ID")
    private Long payRefundId;

    /**
     * 第三方支付退款单号
     */
    @TableField("THIRD_PAY_REFUND_NO")
    private String thirdPayRefundNo;

    /**
     * 业务系统订单支付退款流水号
     */
    @TableField("REFUND_ID")
    private String refundId;

    /**
     * 本平台支付单号
     */
    @TableField("PAY_PREPAY_ID")
    private Long payPrepayId;

    /**
     * 退款金额，单位元
     */
    @TableField("MONEY")
    private BigDecimal money;

    /**
     * 备注说明
     */
    @TableField("DESCRIPTION")
    private String description;

    /**
     * 交易类型(weCharPay,aLiPay)
     */
    @TableField("PAYMENT_TYPE")
    private String paymentType;

    /**
     * 具体的支付方式，例如微信的JSAPI,h5
     */
    @TableField("PAY_TYPE")
    private String payType;

    /**
     * 退款完成时间
     */
    @TableField("REFUND_TIME")
    private LocalDateTime refundTime;

    /**
     * 退款状态： 1:退款中 2:退款成功 3：退款关闭 4：退款处理中 5：退款异常
     */
    @TableField("REFUND_STATUS")
    private Integer refundStatus;

    /**
     * 0:正常,1:已删除
     */
    @TableField("DELETE_STATUS")
    private Integer deleteStatus;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 最近的更新时间
     */
    @TableField("UPDATE_TIME")
    private LocalDateTime updateTime;


}
