package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统配置表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdSysConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车型标识,-1为与车型无关
     */
    @TableId("CAR_TYPE_ID")
    private Integer carTypeId;

    /**
     * 配置项KEY
     */
    @TableField("CONFIG_KEY")
    private String configKey;

    /**
     * 配置项值
     */
    @TableField("CONFIG_VALUE")
    private String configValue;

    /**
     * 配置项名称
     */
    @TableField("CONFIG_NAME")
    private String configName;

    /**
     * 配置项说明
     */
    @TableField("CONFIG_DESC")
    private String configDesc;

    /**
     * 配置项类型;0: key-value模式
        1: 普通 list 模式
        A-Z:特殊模式
     */
    @TableField("CONFIG_TYPE")
    private String configType;

    /**
     * 配置项JSON值
     */
    @TableField("CONFIG_JSON")
    private String configJson;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;


}
