package com.jwl.driver.server.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 图标分类表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TdTrafficSignCategory implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 图标分类标识
     */
    @TableId(value = "SIGN_CATEGORY_ID", type = IdType.AUTO)
    private Integer signCategoryId;

    /**
     * 图标分类名称
     */
    @TableField("SIGN_CATEGORY_NAME")
    private String signCategoryName;

    /**
     * 图标分类图片链接
     */
    @TableField("SIGN_IMG_URL")
    private String signImgUrl;

    /**
     * 父类图标分类标识
     */
    @TableField("PARENT_SIGN_CATEGORY_ID")
    private Integer parentSignCategoryId;

    /**
     * 是否有子项，子项才会与题目关联
     */
    @TableField("HAS_CHILD")
    private String hasChild;

    /**
     * 图标数量
     */
    @TableField("SIGN_NUM")
    private Integer signNum;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    private LocalDateTime createTime;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;

    /**
     * 显示序号
     */
    @TableField("SHOW_ORDER")
    private Integer showOrder;


}
