/*
 * Copyright (c) 2019 AI.
 */
package com.jwl.driver.server.exception;

import com.jwl.driver.server.enums.ErrorCodeEnum;


/**
 * 登录过期.
 *
 * @author tangsz
 */
public class IdentityExpiresException extends RuntimeException {

	/**
	 * 异常码
	 */
	protected String code;

	private static final long serialVersionUID = 3160241586346324994L;

	public IdentityExpiresException() {
	}

	public IdentityExpiresException(Throwable cause) {
		super(cause);
	}

	public IdentityExpiresException(String message) {
		super(message);
	}

	public IdentityExpiresException(String message, Throwable cause) {
		super(message, cause);
	}

	public IdentityExpiresException(String code, String message) {
		super(message);
		this.code = code;
	}

	public IdentityExpiresException(String code, String msgFormat, Object... args) {
		super(String.format(msgFormat, args));
		this.code = code;
	}

	public IdentityExpiresException(ErrorCodeEnum codeEnum, Object... args) {
		super(String.format(codeEnum.msg(), args));
		this.code = codeEnum.code();
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}
