/*
 * Copyright (c) 2019 AI.
 */
package com.jwl.driver.server.exception;

import com.jwl.driver.server.enums.ErrorCodeEnum;

/**
 * 缺少token.
 *
 * @author tangsz
 */
public class MissTokenException extends RuntimeException {

	/**
	 * 异常码
	 */
	protected String code;

	private static final long serialVersionUID = 3160241586346324994L;

	public MissTokenException() {
	}

	public MissTokenException(Throwable cause) {
		super(cause);
	}

	public MissTokenException(String message) {
		super(message);
	}

	public MissTokenException(String message, Throwable cause) {
		super(message, cause);
	}

	public MissTokenException(String code, String message) {
		super(message);
		this.code = code;
	}

	public MissTokenException(String code, String msgFormat, Object... args) {
		super(String.format(msgFormat, args));
		this.code = code;
	}

	public MissTokenException(ErrorCodeEnum codeEnum, Object... args) {
		super(String.format(codeEnum.msg(), args));
		this.code = codeEnum.code();
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}
