package com.jwl.driver.server.util;

import java.text.SimpleDateFormat;
import java.time.Duration;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.temporal.TemporalUnit;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class TimeUtils {
    //获取当前时间前一秒
    public static String getTime(int second) {
        SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        Date date = new Date();
        GregorianCalendar calendar = new GregorianCalendar();
        calendar.setTime(date);
        calendar.add(Calendar.SECOND, -second);//减一秒
        date = calendar.getTime();
        return df.format(date);
    }

    //获取LocalDateTime
    public static LocalDateTime getEndDate() {
        String dateString = "2099-12-31 23:59:59";
        DateTimeFormatter df = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        return LocalDateTime.parse(dateString, df);
    }

    public static String localDateTimeToString(LocalDateTime localDateTime) {
        DateTimeFormatter df = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        return df.format(localDateTime);
    }

    /**
     * 计算剩余时间 单位：毫秒
     * @param startTime 开始时间
     * @param overTime 超时设置时间
     * @param timeUnit 超时设置时间单位
     * @return 剩余时间 单位：毫秒
     */
    public static long calculateRemainTime(String startTime, long overTime, TemporalUnit timeUnit) {
        DateTimeFormatter dtf = DateTimeFormatter.ofPattern("yyyy-MM-dd HH:mm:ss");
        LocalDateTime startDateTime = LocalDateTime.parse(startTime, dtf);
        LocalDateTime dueDateTime = startDateTime.plus(overTime, timeUnit);

        Duration duration = Duration.between(LocalDateTime.now(), dueDateTime);
        if(duration.toMillis() <= 0) {
            return 0;
        }
        return duration.toMillis();
    }

    public static void main(String[] args) {
        System.out.println(LocalDateTime.now());
        LocalDateTime dateTime = LocalDateTime.now().plusSeconds(-1);
        System.out.println(dateTime);
        System.out.println(localDateTimeToString(dateTime));
    }
}
